# -*- coding: UTF-8 -*-
# Copyright 2017 Red Hat, Inc.
# Part of clufter project
# Licensed under GPLv2+ (a copy included | http://gnu.org/licenses/gpl-2.0.txt)
"""Some usage-agnostic constants"""
__author__ = "Jan Pokorný <jpokorny @at@ Red Hat .dot. com>"

# trailing bang subsequently removed, prevents premature ''' lex. match in value

EDITOR            = '''/usr/bin/nano!'''[:-1]
CCS_FLATTEN       = '''/usr/libexec/clufter-0.76.0/ccs_flatten!'''[:-1]

SHELL_POSIX       = '''/usr/bin/sh!'''[:-1]
# this is required to cope with process substitution
SHELL_BASHLIKE    = '''/usr/bin/bash!'''[:-1]

EXTPLUGINS_SHARED = '''/usr/share/clufter/ext-plugins!'''[:-1]

# also configurable via respective env. variables (see getenv_namespaced)
HASHALGO          = '''md5!'''[:-1]  # not for security

REPORT_BUGS       = '''https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&component=clufter!'''[:-1]
